/*
 * @Author: your name
 * @Date: 2021-04-14 14:12:19
 * @LastEditTime: 2021-07-14 21:28:48
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \evm-store\frontend\src\settings.js
 */
export default {
    name: {
        zh: "EVM应用商店",
        en: "EVM App Store",
    },
    author: "武汉市字节码科技有限公司",
    logo: "",
    officialWeb: "https://www.baidu.com",

    // hostname: "127.0.0.1",
    // port: window.location.port,
    port: 9999,

    /**
     * @type {boolean} true | false
     * @description Whether fix the header
     */
    fixedHeader: true,

    /**
     * @type {boolean} true | false
     * @description Whether show the logo in sidebar
     */
    sidebarLogo: false,
    userblockShow: true, // 用户中心
    isFullScreen: false, //  配置放大按钮初始值
    fullScreenShow: true, // 放大按钮是否显示
    svgFilePath: "@/assets/icons/svg",

    pageInfos: [
        {
            vue: "app-store/index.vue",
            title: "应用管理",
            name: "AppIndex",
            icon: "gongzuotai",
            path: "home/index",
        },
        {
            vue: "app-store/build.vue",
            title: "打包日志",
            name: "AppBuild",
            icon: "gongzuotai",
            path: "build/index",
        },
        {
            vue: "app-store/device.vue",
            title: "设备管理",
            name: "Device",
            icon: "gongzuotai",
            path: "device/index",
        },
        {
            vue: "profile/docs.vue",
            title: "个人中心",
            name: "Profile",
            icon: "gongzuotai",
            path: "profile/index",
        },
        {
            vue: "system/monitor.vue",
            title: "资源监视",
            name: "Monitor",
            icon: "gongzuotai",
            path: "monitor/index",
        },
        // {
        //     vue: "system/chart.vue",
        //     title: "实时曲线",
        //     name: "AppChart",
        //     icon: "gongzuotai",
        //     path: "chart/index",
        // },
        // {
        //     vue: "system/history.vue",
        //     title: "历史曲线",
        //     name: "AppHistoryChart",
        //     icon: "gongzuotai",
        //     path: "history/index",
        // },
        {
            vue: "system/chart.vue",
            title: "实时曲线",
            name: "AppChart",
            icon: "gongzuotai",
            path: "chart/index",
        },
        {
            vue: "system/history.vue",
            title: "历史曲线",
            name: "AppHistoryChart",
            icon: "gongzuotai",
            path: "history/index",
        },
        {
            vue: "system/tool.vue",
            title: "工具",
            name: "AppTool",
            icon: "gongzuotai",
            path: "tool/index",
        },
        {
            vue: "app-store/docs.vue",
            title: "开发文档",
            name: "Document",
            icon: "gongzuotai",
            path: "docs/index",
        },
    ],
};
